CSegPoint2D Class Reference
Perfusion Analysis

a point in a 2D segmentation shape More...

`#include <mia/2d/segpoint.hh>`

Inheritance diagram for CSegPoint2D:
[legend]
Collaboration diagram for CSegPoint2D:
[legend]

## Public Member Functions

| CSegPoint2D ()
| CSegPoint2D (const C2DFVector &org)
| copy constructor
| CSegPoint2D (const CXMLElement &node)
| CSegPoint2D (float x, float y)
void | inv_transform (const C2DTransformation &t)
CSegPoint2D & | operator= (const C2DFVector &org)
| assignment operator
void | transform (const C2DTransformation &t)
void | write (CXMLElement &node) const
Public Member Functions inherited from T2DVector< float >
void | fill (float v)
| fill all the elements with the given value
float | norm () const
float | norm2 () const
bool | operator!= (const T2DVector &a) const
| not equal operator
T2DVector & | operator*= (const T2DVector &a)
| in place element wise multiplication of two 2D vectors
T2DVector & | operator*= (double a)
| in place multiplication with a scalar
T2DVector & | operator+= (const T2DVector &a)
| in place addition
T2DVector | operator- () const
T2DVector & | operator-= (const T2DVector &a)
| in place subtraction
T2DVector & | operator/= (const T2DVector &a)
| in place element wise division of two 2D vectors
T2DVector & | operator/= (double a)
| in place division by a scalar
bool | operator== (const T2DVector &a) const
| Equal operator.
float & | operator[] (int i)
const float & | operator[] (int i) const
void | print (std::ostream &os) const
| print the vector to a stream with special formatting
double | product () const
void | read (std::istream &is)
| read the properly formatted 2D vector from a stream
size_t | size () const
| returns the size of this vector, always 2
| T2DVector ()
| T2DVector (const T2DVector< In > &in)
| T2DVector (float _x, float _y)
| T2DVector (int dim)

## Additional Inherited Members

Public Types inherited from T2DVector< float >
typedef float | value_type
| typedef for generic access to the element type
Data Fields inherited from T2DVector< float >
float | x
| first element
float | y
| second element
Static Public Attributes inherited from T2DVector< float >
static const T2DVector< float > | _0
| a static for the value <0,0>.
static const T2DVector< float > | _1
| a static for the value <1,1>.

## Detailed Description

a point in a 2D segmentation shape

Point of a segmentation shape. In addition to be a 2D point it can be read from and written to a XML tree and supports its own tranformation.

Definition at line 40 of file segpoint.hh.

## Constructor & Destructor Documentation

## CSegPoint2D() [1/4]

CSegPoint2D::CSegPoint2D | ( |  | ) |

Referenced by operator=().

## CSegPoint2D() [2/4]

CSegPoint2D::CSegPoint2D | ( | const C2DFVector & | org | ) |

copy constructor

## CSegPoint2D() [3/4]

CSegPoint2D::CSegPoint2D | ( | float | x,
|  | float | y )

Construct the point with the given coordinates

Parameters

  x |
  y |

References T2DVector< float >::x, and T2DVector< float >::y.

## CSegPoint2D() [4/4]

CSegPoint2D::CSegPoint2D | ( | const CXMLElement & | node | ) |

Construct the point from a XML node

Parameters

  node |

## Member Function Documentation

## inv_transform()

void CSegPoint2D::inv_transform | ( | const C2DTransformation & | t | ) |

Evaluate an approximation of the inverse of the given transform of the point

Parameters

  t |

## operator=()

CSegPoint2D & CSegPoint2D::operator= | ( | const C2DFVector & | org | ) |

assignment operator

References CSegPoint2D().

## transform()

void CSegPoint2D::transform | ( | const C2DTransformation & | t | ) |

Tranform the point according to the given tranformation

Parameters

  t |

## write()

void CSegPoint2D::write | ( | CXMLElement & | node | ) | const

Write the point as child-node to a given XML tree

Parameters

  node |

The documentation for this class was generated from the following file:

- segpoint.hh